/*
  Урок 1. Что такое Arduino и мигаем светодиодом Arduino
  Мигаем светодиодом.
  Зажигаем на 2 секунды, затем гасим на 2 секунды и все по новой..
  Этот демонстрационный код был скачан с сайта www.stm32.trunagol.ru
 */
 
// Почти на всех Arduino вывод 13 подключен к светодиоду, припаянному прямо на плате.
// Для удобства задаем имя "led" для 13 вывода:
int led = 13;

// Блок "Setup" запускается только 1 раз при запуске Arduino, он нужен для инициализации.
void setup() {                
// Конфигурируем 13 вывод Arduino на выход.
  pinMode(led, OUTPUT);     
}

// Блок "loop" это цикл, т.е. код который работает раз за разом бесконечно:
void loop() {
  digitalWrite(led, HIGH);   // Делаем логическую 1 (устанавливаем высокий уровень напряжения) на выводе 13, зажгется светодиод на плате Arduino
  delay(2000);               // Ожидаем 2 секунды
  digitalWrite(led, LOW);    // Выключаем светодиод (устанавливается низкий уровень напряжения) на выводе 13, светодиод гаснет
  delay(2000);               // Ждем 2 секунды, после чего цикл запуститься снова
}
